Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_TypedSupplierAdmin Class Reference

`#include <CEC_TypedSupplierAdmin.h>`

List of all members.

## Public Methods
| TAO_CEC_TypedSupplierAdmin (TAO_CEC_TypedEventChannel *event_channel)
virtual | ~TAO_CEC_TypedSupplierAdmin (void)
void | for_each (TAO_ESF_Worker< TAO_CEC_TypedProxyPushConsumer > *worker ACE_ENV_ARG_DECL)
| For each elements call <worker->work()>.
virtual void | connected (TAO_CEC_TypedProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
| Keep track of connected consumers.
virtual void | reconnected (TAO_CEC_TypedProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_TypedProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)

## Constructor & Destructor Documentation

TAO_CEC_TypedSupplierAdmin::TAO_CEC_TypedSupplierAdmin | ( | TAO_CEC_TypedEventChannel * | event_channel | ) |

TAO_CEC_TypedSupplierAdmin::~TAO_CEC_TypedSupplierAdmin | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_CEC_TypedSupplierAdmin::connected | ( | TAO_CEC_TypedProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Keep track of connected consumers.

virtual void TAO_CEC_TypedSupplierAdmin::disconnected | ( | TAO_CEC_TypedProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

ACE_INLINE void TAO_CEC_TypedSupplierAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_TypedProxyPushConsumer > *worker | ACE_ENV_ARG_DECL | ) |

| For each elements call <worker->work()>.

virtual void TAO_CEC_TypedSupplierAdmin::reconnected | ( | TAO_CEC_TypedProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

void TAO_CEC_TypedSupplierAdmin::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| The typed event channel is shutting down, inform all the consumers of this

The documentation for this class was generated from the following files:

- CEC_TypedSupplierAdmin.h
- CEC_TypedSupplierAdmin.cpp
- CEC_TypedSupplierAdmin.i